Bug 495 - SWAT view page cannot be correctly displayed
SWAT view page cannot be correctly displayed
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.0preX
All All
: P3 normal
: none
Assigned To: John H Terpstra
:
Depends on:
Blocks: 413
  Show dependency treegraph
 
Reported: 2003-09-22 21:00 UTC by TAKAHASHI Motonobu
Modified: 2005-08-24 10:21 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2003-09-22 21:00:09 UTC
If 'unix charset' and 'dos charset' parameters are different 
and non-ASCII characters are used in smb.conf, 
the "view" page on SWAT will be broken.

Because "view" page calls lp_dump() in swat.c:394, lp_dump() always 
displays the contents of smb.conf without charset conversion (this means
always to display with 'unix chatset').
Comment 1 TAKAHASHI Motonobu 2003-09-22 22:41:04 UTC
Sorry 

>If 'unix charset' and 'dos charset' parameters are different 
 ** not 'dos chatset' but 'display charset' **

Currently 'display charset' parameter must be same the encoding
which msg file is encoded with. In Japanese this means 'display
charset' must be set to 'CP932'.

So if we set "unix charset' as 'EUCJP-MS', this problem will occur.


Comment 2 John H Terpstra 2003-10-18 10:56:16 UTC
This has been documented in the SWAT chapter of the HOWTO.
Comment 3 Tim Potter 2003-11-05 10:35:03 UTC
Can this bug be closed?
Comment 4 Gerald (Jerry) Carter 2003-11-06 08:49:22 UTC
documented.  Closed.
Comment 5 Gerald (Jerry) Carter 2005-02-07 09:06:01 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:21:44 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.